org.apache.ignite.internal.commandline.cache

## Class CacheViewer.Arguments

- java.lang.Object
- - org.apache.ignite.internal.commandline.cache.CacheViewer.Arguments

Enclosing class:
  CacheViewer

    public static class CacheViewer.Arguments
    extends Object

Container for command arguments.

### Constructor Summary

Constructors
Constructor and Description
`Arguments(String regex, boolean fullConfig, UUID nodeId, VisorViewCacheCmd cacheCmd, OutputFormat outputFormat)`

### Method Summary

All Methods Instance Methods Concrete Methods
`VisorViewCacheCmd` `cacheCommand()`
`boolean` `fullConfig()`
`UUID` `nodeId()`
`OutputFormat` `outputFormat()`
`String` `regex()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Arguments

    public Arguments(String regex,
                     boolean fullConfig,
                     UUID nodeId,
                     VisorViewCacheCmd cacheCmd,
                     OutputFormat outputFormat)

### Method Detail

#### regex

    public String regex()

Returns:
  Regex.

#### nodeId

    public UUID nodeId()

Returns:
  Node id.

#### outputFormat

    public OutputFormat outputFormat()

Returns:
  Output format.

#### cacheCommand

    public VisorViewCacheCmd cacheCommand()

Returns:
  Cache view command.

#### fullConfig

    public boolean fullConfig()

Returns:
  Full config flag.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020